Bug 145240 - kopete problems with encoding during authorization
Summary: kopete problems with encoding during authorization
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-09 19:26 UTC by Leonid Morgun
Modified: 2007-05-11 04:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Trivial patch to fix encoding in auth request/reply reason. (2.76 KB, patch)
2007-05-09 21:29 UTC, Oleg Girko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Morgun 2007-05-09 19:26:00 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    Gentoo Packages

There's an ability to send messages in auhorization response. If they were sent in Russian, the problems with encoding (cp1251 with my utf8) emerged.
Comment 1 Oleg Girko 2007-05-09 21:29:37 UTC
Created attachment 20522 [details]
Trivial patch to fix encoding in auth request/reply reason.

Please review this patch. It fixes handling of authorisation request/reply
reason's encoding.
The assumption in the original code was that reason field sent in authorisation
request/reply is in latin1 encoding. This assumption is wrong: text fields in
SSI protocol are in UTF-8.
Unfortunately, this patch is against KDE/3.5 branch: I don't have KDE-4
development environment. If there are no objections, I can commit this.
Comment 2 Oleg Girko 2007-05-09 21:41:44 UTC
Fortunately, this is already fixed in KDE-4. Consider my patch to be the backport of KDE-4 fix. :-)
Comment 3 Matt Rogers 2007-05-10 02:10:22 UTC
Patch looks good. Please commit.
Comment 4 Oleg Girko 2007-05-11 04:51:31 UTC
This is not the first time I use "BUG:" line in Subversion commit message, and it does not work.
Trying to close this bug manually.